import 'dart:io';

extension GracefulFile on File {
  createIfNotExists({bool recursive = true}) async {
    if (!await this.exists()) {
      return await this.create(recursive: recursive);
    }
  }

  createIfNotExistsSync({bool recursive = true}) {
    if (this.existsSync()) return;
    this.createSync(recursive: recursive);
  }
}
